"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.px2vw = exports.toFixed = void 0;
var tslib_1 = require("tslib");
var configuration_1 = tslib_1.__importDefault(require("./configuration"));
function toFixed(value, precision) {
    var multiplier = Math.pow(10, precision + 1);
    var wholeNumber = Math.floor(value * multiplier);
    return (Math.round(wholeNumber / 10) * 10) / multiplier;
}
exports.toFixed = toFixed;
function px2vw(input, _a) {
    var _b = _a === void 0 ? configuration_1.default.config : _a, _c = _b.viewportWidth, viewportWidth = _c === void 0 ? configuration_1.default.config.viewportWidth : _c, _d = _b.unitPrecision, unitPrecision = _d === void 0 ? configuration_1.default.config.unitPrecision : _d, _e = _b.minPixelValue, minPixelValue = _e === void 0 ? configuration_1.default.config.minPixelValue : _e;
    var value = typeof input === 'string' ? parseFloat(input) : typeof input === 'number' ? input : 0;
    var pixels = Number.isNaN(value) ? 0 : value;
    if (pixels < minPixelValue) {
        return pixels + "px";
    }
    var fixedVal = toFixed((pixels * 100) / viewportWidth, unitPrecision);
    return fixedVal + "vw";
}
exports.px2vw = px2vw;
